# Uses of Interface
com.opensymphony.module.sitemesh.PageParserSelector

Packages that use PageParserSelector
Package
Description
com.opensymphony.module.sitemesh
com.opensymphony.module.sitemesh.factory
com.opensymphony.module.sitemesh.filter
com.opensymphony.module.sitemesh.taglib.page

## Uses of PageParserSelector in com.opensymphony.module.sitemesh

Classes in com.opensymphony.module.sitemesh that implement PageParserSelector
Modifier and Type
Class
Description
`class`
`Factory`
Factory responsible for creating appropriate instances of implementations.

## Uses of PageParserSelector in com.opensymphony.module.sitemesh.factory

Classes in com.opensymphony.module.sitemesh.factory that implement PageParserSelector
Modifier and Type
Class
Description
`class`
`BaseFactory`
Base Factory implementation.
`class`
`DefaultFactory`
DefaultFactory, reads configuration from the `sitemesh.configfile` init param, or `/WEB-INF/sitemesh.xml` if not specified, or uses the default configuration if `sitemesh.xml` does not exist.

## Uses of PageParserSelector in com.opensymphony.module.sitemesh.filter

Fields in com.opensymphony.module.sitemesh.filter declared as PageParserSelector
Modifier and Type
Field
Description
`private final PageParserSelector`
PageResponseWrapper.`parserSelector`
Constructors in com.opensymphony.module.sitemesh.filter with parameters of type PageParserSelector
Modifier
Constructor
Description
``
`PageResponseWrapper(javax.servlet.http.HttpServletResponse response, PageParserSelector parserSelector)`

## Uses of PageParserSelector in com.opensymphony.module.sitemesh.taglib.page

Methods in com.opensymphony.module.sitemesh.taglib.page that return PageParserSelector
Modifier and Type
Method
Description
`private PageParserSelector`
ApplyDecoratorTag.`getParserSelector()`